import { CanActivate, ExecutionContext, Injectable } from "@nestjs/common";
import { OrchestratorApiKeyGuard } from "../../common/guards/api-key.guard";

@Injectable()
export class AuthGuard implements CanActivate {
  constructor(private readonly apiKeyGuard: OrchestratorApiKeyGuard) {}

  canActivate(context: ExecutionContext): boolean | Promise<boolean> {
    return this.apiKeyGuard.canActivate(context);
  }
}
